<?php
require('../librerias/PHPExcel/Classes/PHPExcel.php');
$objPHPExcel = new PHPExcel();

$objPHPExcel->
getProperties()
->setCreator("POWERTIME")
->setLastModifiedBy("POWERTIME")
->setTitle("Reporte POWERTIME")
->setSubject("Resumen POWERTIME")
->setDescription("Documento generado POWERTIME, Reporte registros base de datos")
->setKeywords("Reportes POWERTIME")
->setCategory("Reportes");

$fecha_inicio = $_POST["txtFecha_inicio"];
$fecha_termino = $_POST["txtFecha_termino"];
$id_departamento = $_POST["txtDepartamento"];
$id_estado = $_POST["txtEstado"];

$url = 'http://200.24.13.60/~program1/power-time-api/public/permisoestadoacepta';
$ch = curl_init($url); //create a new cURL resource
$payload = json_encode(array('id_departamento' => $id_departamento, 'fecha_inicio' => $fecha_inicio, 'fecha_termino' => $fecha_termino, 'id_estado' => $id_estado));
curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);//attach encoded JSON string to the POST fields
curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
$result = curl_exec($ch); //execute the POST request
$array = json_decode($result);

$objPHPExcel->setActiveSheetIndex(0)
->setCellValue('A1', 'FOLIO')
->setCellValue('B1', 'CODIGO ACEPTA')
->setCellValue('C1', 'AREA')
->setCellValue('D1', 'CENTRO')
->setCellValue('E1', 'FECHA INICIO')
->setCellValue('F1', 'FECHA TERMINO')
->setCellValue('G1', 'CANTIDAD DIAS')
->setCellValue('H1', 'ESTADO DE PERMISO')
->setCellValue('I1', 'TIPO DE PERMISO')
->setCellValue('J1', 'RUT')
->setCellValue('K1', 'TRABAJADOR');

$fila = 2;

// utf8_decode($row->estado)

foreach ($array[0] as $row) {
 

	$row->nombre = utf8_encode($row->nombre); 
	$row->apellido = utf8_encode($row->apellido); 

	$objPHPExcel->getActiveSheet()
	->setCellValue('A'. $fila, $row->id)
	->setCellValue('B'. $fila, $row->pdfacepta)
	->setCellValue('C'. $fila, $row->sucursal)
	->setCellValue('D'. $fila, $row->departamento)
	->setCellValue('E'. $fila, date("d/m/Y", strtotime($row->fecha_inicio)))
	->setCellValue('F'. $fila, date("d/m/Y", strtotime($row->fecha_termino)))
	->setCellValue('G'. $fila, $row->cantidad)
	->setCellValue('H'. $fila, $row->estado)
	->setCellValue('I'. $fila, $row->tipo)	
	->setCellValue('J'. $fila, $row->rut)	
	->setCellValue('K'. $fila, $row->nombre ." ". $row->apellido);	
  
	$fila++;	
}


$objPHPExcel->getActiveSheet()->setTitle('Listado General');
$objPHPExcel->setActiveSheetIndex(0);

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="nombreFichero.xlsx"');
header('Cache-Control: max-age=0');

$objWriter=PHPExcel_IOFactory::createWriter($objPHPExcel,'Excel2007');
$objWriter->save('php://output');
exit;


?>
